routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



Auth::routes();

//Errors
Route::get('error500', function () {
    throw new \Exception('Error 500');
});

Route::get('/', 'HomeController@index')->name('home');

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/login/facebook', 'Auth\LoginController@redirectToProvider');

Route::get('/facebook/callback', 'Auth\LoginController@handleProviderCallback');

Route::get('/rides/search', 'RidesController@search')->name('rides.search');

Route::post('/rides/list', 'RidesController@list');

Route::get('/verifyemail/{token}', 'Auth\LoginController@verify');

Route::get('/about' , 'HomeController@about')->name('company.about');

Route::get('/contact' , 'HomeController@contact')->name('company.contact');

Route::get('/faq' , 'HomeController@faq')->name('company.faq');

Route::get('/privacy' , 'HomeController@privacy')->name('company.privacy');

Route::get('/code-of-conduct' , 'HomeController@codeofconduct')->name('company.code-of-conduct');

Route::get('/terms-of-use' , 'HomeController@terms')->name('company.terms');

Route::get('/press' , 'HomeController@press')->name('company.press');

Route::get('/opportunities' , 'HomeController@opportunities')->name('company.opportunities');

Route::post('/contact', 'HomeController@contact_update')->name('company.contact_update');

Route::get('/send_report', 'HomeController@send_report')->name('error.send_report');

Route::post('/post_report', 'HomeController@post_report')->name('error.post_report');

Route::get('/feedback', 'HomeController@feedback')->name('company.feedback');

Route::post('/post_feedback', 'HomeController@post_feedback')->name('company.post_feedback');

Route::get('/howtoridesurf', 'HomeController@howtoridesurf')->name('company.howtoridesurf');

Route::get('/homebass', 'HomeController@homebass')->name('search.homebass');

Route::get('/synapse', 'HomeController@searchSynapse')->name('search.synapse');

Route::post('/synapse/getRides', 'HomeController@searchSynapseRides');

Route::get('/homebass/filter', 'HomeController@searchHomeBase')->name('search.filterHomeBass');

Route::get('/synapse/filter', 'HomeController@searchSynapse')->name('search.filtersynapse');

Route::get('/rides/getAirports', 'RidesController@getAirports');

Route::post('/rides/searchAirport', 'RidesController@searchAirport');


/*=============================== Promotions ===============================*/
Route::get('/tailgate', 'LandingPageController@tailgatePage')->name('promotions.tailgate');


/*=============================== IONIC REST API JSON ===============================*/




/* ========== Auth ========== */
Route::group(['middleware' => ['auth']], function() {
    
    Route::get('adminlogsreviewing', '\Rap2hpoutre\LaravelLogViewer\LogViewerController@index');

    Route::resource('drivers','DriverController');

    Route::group(['prefix' => 'locations'], function () {
        Route::resource('locations', 'LocationController');
        Route::post('/fetch' , 'LocationController@fetch')->name('locations.fetch');
    });

    Route::group(['prefix' => 'connections'], function () {
        Route::resource('connections','ConnectionsController');
        Route::post('/fetch' , 'ConnectionsController@fetch')->name('connections.fetch');
    });



    Route::group(['prefix' => 'rides'], function () {
        Route::resource('rides','RidesController');
        Route::post('/destroy/{id}', 'RidesController@destroy');
        Route::get('/getCurrentRides', 'DashboardUserController@getCurrentRides');
        Route::get('/getPastRides', 'DashboardUserController@getPastRides');
        Route::post('/fetch' , 'RidesController@fetch')->name('rides.fetch');
        Route::post('/createRideForm', 'RidesController@createRideForm')->name('rides.createRideForm');
        Route::post('/StoreInformation', 'RidesController@StoreInformation')->name('rides.StoreInformation');
        Route::post('/join/{id}', 'RidesController@join')->name('rides.join');
        Route::put('/storejoin/{id}', 'RidesController@storejoin')->name('rides.storejoin');
        Route::delete('/destroyUserRide/{id}', 'RidesController@destroyUserRide')->name('rides.destroyUserRide');
        Route::get('/findride', 'RidesController@findride')->name('rides.findride');
        Route::get('/payment/{id}', 'RidesController@payment')->name('rides.payment');
        Route::get('/successpayment', 'RidesController@successpayment')->name('rides.successpayment'); 
        Route::post('/request/{id}/{price}', 'RidesController@request')->name('rides.request'); 
        Route::post('/acceptPassenger/{id}/{user}', 'RidesController@acceptPassenger')->name('rides.acceptPassenger');
        Route::post('/denyPassenger/{id}/{user}', 'RidesController@denyPassenger')->name('rides.denyPassenger');
        Route::get('/viewUserProfile/{id}', 'DashboardUserController@viewUserProfile')->name('rides.viewUserProfile');
        Route::resource('open-rides', 'OpenRideController');
        Route::get('/fetchPurpose', 'OpenRideController@fetchPurposes');
        Route::get('/openRide/join/{id}', 'OpenRideController@join')->name('rides.openRides');
        Route::post('/openRide/join/{id}','OpenRideController@postJoin');
        Route::any('/openRide/destroy/{id}','OpenRideController@destroy');
        Route::post('/openRide/accept/{id}','OpenRideController@acceptPassenger')
        ->name('rides.acceptOpenRide');
        Route::post('/openRide/deny/{id}','OpenRideController@denyPassenger')->name('rides.denyOpenRide');
        Route::post('/openRide/status/{id}', 'OpenRideController@statusChange');
        Route::post('/open-rides/update/{id}', 'OpenRideController@update');
        //Airports
        Route::resource('airports', 'AirportRideController');
    });


  
    Route::resource('/ride_request', 'RideRequestController');


    Route::group(['prefix' => 'dashboarduser'], function () {

        //Fetch Information
        Route::resource('dashboarduser','DashboardUserController');
        Route::post('/fetchVehicleMake','DashboardUserController@fetchVehicleMake')
        ->name('dashboarduser.fetchVehicleMake');
        Route::post('/fetchModel','DashboardUserController@fetchModel')
        ->name('dashboarduser.fetchModel');


        Route::post('/uploadProfileImage','DashboardUserController@uploadProfileImage')
        ->name('dashboarduser.uploadProfileImage');
        Route::post('/fetchType','DashboardUserController@fetchType')
        ->name('dashboarduser.fetchType');
        Route::post('/fetchColor','DashboardUserController@fetchColor')
        ->name('dashboarduser.fetchColor');
        Route::get('/fetchAllData', 'DashboardUserController@fetchAllData')->name('dashboarduser.fetchAllData');
        Route::get('/booked', 'DashboardUserController@booked')->name('dashboarduser.booked');
        Route::get('/payments', 'DashboardUserController@payments')->name('dashboarduser.payments');
        Route::get('/reportRide/{id}', 'DashboardUserController@reportRide')->name('dashboarduser.reportRide');
        Route::post('/storeReport/{id}', 'DashboardUserController@storeReport')->name('dashboarduser.storeReport');
        Route::get('/message', 'DashboardUserController@message')->name('dashboarduser.message');
        Route::get('/profile', 'DashboardUserController@profile')->name('dashboarduser.profile');
        Route::get('/reviews', 'DashboardUserController@reviews')->name('dashboarduser.reviews');
        Route::resource('user-reviews', 'ReviewsController');

        Route::get('/showCancelride/{id}', 'DashboardUserController@showCancelride')
        ->name('dashboarduser.cancelUserRide');
        Route::get('/openRides', 'DashboardUserController@openRides')->name('dashboarduser.openRides');
        Route::get('/ridesCurrent', 'DashboardUserController@ridesCurrent')->name('dashboarduser.ridesCurrent');
        Route::get('/ridesPast', 'DashboardUserController@ridesPast')->name('dashboarduser.ridesPast');
        Route::get('/becomeDriver', 'DashboardUserController@becomeDriver')->name('dashboarduser.becomeDriver');
        Route::post('/createDriver', 'DashboardUserController@createDriver')->name('dashboarduser.createDriver');
        Route::post('/saveRegistration', 'DriverController@saveRegistration');
        Route::post('/saveInsurance', 'DriverController@saveInsurance');
        Route::post('/saveLicense', 'DriverController@saveLicense');
        Route::post('/saveCarImage', 'DriverController@saveCarImage');
        Route::post('/saveDriver', 'DriverController@store');
        Route::put('/updateDriver', 'DriverController@update');

        //Preferences 
        Route::resource('user_prefereces', 'UserPreferencesController');
        Route::get('/editPreferences', 'UserPreferencesController@editPreferences')
        ->name('dashboarduser.editPreferences');
        Route::any('/updatePreferences', 'UserPreferencesController@updatePreferences')
        ->name('dashboarduser.updatePreferences');

        //Verifications
        Route::get('/sendverification', 'DashboardUserController@sendVerification')
        ->name('dashboarduser.sendverification');

        //Passwords
        Route::get('/updatepassword', 'DashboardUserController@updatepassword')->name('dashboarduser.updatepassword');
        Route::get('/cardetails', 'DashboardUserController@cardetails')->name('dashboarduser.cardetails');
        Route::post('/patchpassword', 'DashboardUserController@patchpassword')
        ->name('dashboarduser.patchpassword');


    });        

    Route::group(['prefix' => 'messages'], function () {

app/Driver.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Driver extends Model
{
	protected $fillable = ['make_id', 'model_id', 'type_id', 'color_id', 'year', 
						   'vehicle_registration', 'vehicle_tag'];

    public function user(){
        return $this->belongsTo('App\User', 'user_id');
    
    }
}

resources/views/drivers/create.blade.php
@extends('layouts.app')


@section('content')
	@hasrole('Driver|Admin')
	<h3> Offer A Ride</h3>
	<div class="row">
		<div class="widget col-lg-8 col-md-8 col-sm-12">

			{!! Form::open(array('route' => 'drivers.store','method'=>'POST')) !!}
				<label> From where are you departing? </label>
				{!! Form::text('name', null, array('placeholder' => 'Name','class' => 'form-control')) !!}


			</form>
		</div>

		{!! Form::open(array('route' => 'locations.store','method'=>'POST')) !!}
	
	<div class="row">
	    <div class="col-xs-12 col-sm-12 col-md-12">
	        <div class="form-group">
	            <strong>Name:</strong>
	            {!! Form::text('name', null, array('placeholder' => 'Name','class' => 'form-control')) !!}
	        </div>
	    </div>
	    <div class="col-xs-12 col-sm-12 col-md-12">
	        <div class="form-group">
	            <strong>Description</strong>
	            {!! Form::text('description', null, array('placeholder' => 'Description','class' => 'form-control')) !!}
	        </div>
	    </div>
	    <div class="col-xs-12 col-sm-12 col-md-12">
	        <div class="form-group">
	            <strong>City</strong>
	            {!! Form::text('city', null, array('placeholder' => 'City','class' => 'form-control', 'id' => 'city_name')) !!}
	            <div id="cityList">
    			</div>
	        </div>
	    </div>
	    
	    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
	        <button type="submit" class="btn btn-primary">Submit</button>
	    </div>
	</div>
	{!! Form::close() !!}
		<div class="widget col-lg-4 col-md-4 col-sm-12">
		</div>
	</div>
	@endhasrole
@endsection

resources/views/drivers/index.blade.php
@extends('layouts.app')


@section('content')
	<div class="container">
	<section class="dashboard section">
		@if ($message = Session::get('success'))
		<div class="alert alert-success">
		  <p>{{ $message }}</p>
		</div>
		@endif
		
	<!-- Container Start -->
	<div class="container-fluid offer-ride">
	<div class="container">
		<!-- Row Start -->
		<div class="row">
			<div class="col-md-10 offset-md-1 col-lg-4 offset-lg-0">
				<div class="sidebar">
					<!-- User Widget -->
					<div class="widget user-dashboard-profile">
						<!-- User Image -->
						<div class="profile-thumb">
							@if(count($user->profileImages) > 0)
								<img src="{{ $user->profileImages[0]->path }}" alt="" class="img-circle">
							@endif
						</div>
						<!-- User Name -->
						<h5 class="text-center">{{ $user->first_name }}</h5>
						<p>{{ $user->create_at }}</p>
						<a href="user-profile.html" class="btn btn-main-sm">Edit Profile</a>
					</div>
					<!-- Dashboard Links -->
					<div class="widget user-dashboard-menu">
						<ul class="list-group">
							
							<li class="list-group-item" >
								<a href="{{ route('dashboarduser.index') }}"><i class="fa fa-file-archive-o"></i>My Profile </a>
							</li>
							<li class="list-group-item" >
								<a href=""><i class="fa fa-bolt"></i> Payments</a>
							</li>
							<li class="list-group-item" >
								<a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
								Logout</a>
								<form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">{{ csrf_field() }}</form>
							</li>
							<li class="list-group-item" >
								<a href=""><i class="fa fa-power-off"></i>Delete Account</a>
							</li>
						</ul>
					</div>
				</div>
			</div>
			<div class="col-md-10 offset-md-1 col-lg-8 offset-lg-0">
				<!-- Recently Favorited -->
				@hasrole('Driver|Admin')
				<div class="widget dashboard-container my-adslist">
					<h3 class="widget-header pull-left">My Rides</h3>
					<div class="pull-right">
			            <a class="btn btn-success" href="{{ route('rides.create') }}"> Create New Ride</a>
			        </div>

					<table class="table table-responsive product-dashboard-table">
						<thead>
							<tr>
								<th>Trips : <span> {{ $ridesCount }}</span></th>

								<th style="float:right;">Menu</th>
							</tr>
						</thead>
						<tbody>
							@foreach($rides as $ride)
							<tr>
								
								<td class="product-thumb">
									<img width="80px" height="auto" src="https://i.stack.imgur.com/ddX9U.png" alt="image description" class="img-circle"></td>
								<td class="product-details">
									<h3 class="title">Date:{{ $ride->dateFrom }}</h3>
									<span class="add-id"><strong>From:</strong> {{ $ride->location_from }} </span>
									<span class="add-id"><strong>To:</strong>{{ $ride->location_to }} </span> <br/>
									<span class="add-in"><strong>Hour: </strong> {{ $ride->startHour }}
									</span> <br/>
									<span class="add-in"><strong>Description: </strong> {{ $ride->description }}
									</span> <br/>
									<span><strong>Posted on: </strong><time>{{ $ride->created_at }}</time> </span> <br/>
								</td>
								<td class="action" data-title="Action">
									<span class="categories">Price</span><br/>
									
									<h2> ${{ $ride->price }}</h2>
									<span> Avilable Seats: </span>
									
									<p> {{ $ride->seats_available }} </p>
 								</td>
 								<td>
 									<a class="btn btn-warning" href="{{ route('rides.edit',$ride->id) }}">Edit</a>
 									{!! Form::open(['method' => 'DELETE','route' => ['rides.destroy', $ride->id],'style'=>'display:inline']) !!}
							            {!! Form::submit('Delete', ['class' => 'btn btn-danger']) !!}
							        {!! Form::close() !!}
 								</td>
							</tr>
							@endforeach
						</tbody>
					</table>
					
				</div>
				@endhasrole
				@hasrole('User')

					<div class="widget dashboard-container my-adslist">
						<h3> You are currently not a driver but in just some easy steps you can become a driver ! 
						</h3>
						<p> Just Fill out some information about your car and insurance, we will review it and give it the good to go and you will start driving in no time ! </p>
					</div>

				@endhasrole
			</div>
		</div>
		<!-- Row End -->
	</div>
	<!-- Container End -->
</section>
</div> </div>

@endsection